HomeGuidesAPI ReferenceGuidesMRT APIConfiguration API
GitHubAirheads Developer Community
API Reference

Get Wireless Client Mobility Details

This API endpoint retrieves wireless client mobility details.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
Path Params
string
required

MAC address of the Wireless Client to be queried

Query Params
string

The ID of the site from which the client mobility details are to be retrieved.

string

The name of the site from which the clients mobility details are to be retrieved.

string

Start timestamp in RFC 3339 date-time string. Must be less than end-at. The interval between start-at and end-at must be ≤ 1 month. Default is end-at - 3 hours.

string

End timestamp in RFC 3339 date-time string. Must be greater than start-at, and the interval between start and end must be <= 1 month. Default is current timestamp.

string

OData Version 4.0 filter string (limited functionality). Supports only 'and' conjunction ('or' and 'not' are NOT supported). Supported fields and operators are in the below given table.

FieldOperators
wlanNameeq and in
radioBandeq and in

The operators are implemented as follows:

  • eq: Only values exactly matching the given value are returned.
  • in: Only values present in the given list are returned.

List of applicable filters for field and terms:

FieldApplicable Terms
wlanNamestring
radioBand["2.4 GHz", "5 GHz", "6 GHz"]
string
length ≤ 256

Sort field followed by a direction indicator ASC (ascending) or DESC (descending). Supported field is occurredAt. Default sorting for occurredAt is DESC.

string
≥ 1
Defaults to 1

Specifies the pagination cursor for the next page of resources. Minimum value is 1

integer
1 to 100
Defaults to 20

Maximum number of client mobility details to be retrieved. Allowed range is 1 to 100.

Responses

Language
Credentials
OAuth2
URL
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json